set_languages("cxx20")
target("zlog")
    set_kind("static")
    add_includedirs("include", {public = true})
    add_packages("spdlog", {public = true})
    add_files("src/*.cpp")
    add_headerfiles("include/*.h")

target("zlog_test01_file")
    set_languages("cxx20")
    set_kind("binary")
    add_deps("zlog")
    add_files("test/*.cpp")
    add_headerfiles("test/*.h")